#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0x8A,0x09,0xE4,0x0D,0xE0,0xC8,0xFD,0x91,0xB7,0x83,0xB6,0x71,
		0x88,0x0B,0x76,0xD0,0x05,0xB1,0x01,0xF8,0xA1,0xE2,0xC7,0xC5,
		0x1B,0x94,0x22,0x76,0x78,0x7D,0x2D,0x05,0x83,0x4F,0x23,0xAA,
		0xCA,0x05,0xF5,0x5C,0xCB,0x08,0x58,0xD3,0x1A,0x26,0x15,0x0C,
		0x98,0x43,0x9D,0xC9,0xF1,0xFD,0x96,0x3D,0x6B,0xC2,0x71,0x5E,
		0x4A,0x69,0x38,0x9B,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
